let projectname = "sample6"
let version = ("184.0.3.0","0.0.0")
let outputdir = @"C:\home\work"

#I "C:\\Aqualis\\lib\\184_0_3_0"
#r "Aqualis.dll"
#r "gengraphics.dll"

open gengraphics

graph1d.makeGraph outputdir "plot2.svg" (graph1d.A4PTwoColSingle 1) <| fun addGraph ->
    addGraph (1,1) None
        {
            Xaxis = {Scale=Linear; Range=Auto; NumFormat=Some("F0")}
            Yaxis = {Scale=Linear; Range=Auto; NumFormat=None}
            Xlabel = "Iteration step"
            Ylabel = (TextStyle.Italic "f")+(TextStyle.Sub "1")
        }
        [
            Datafile{
                // 点のみでプロット
                Style = Points{
                    Shape=Circle; Size=1.0; StrokeStyle = (fun (x,y) -> color.stroke.none); FillStyle = (fun (x,y) -> color.fill.black)}
                FileName = "data1.dat"
                // 凡例：「sample1」
                Legend = Some("sample1")
                Xcolumn = fun data -> data(1)
                Ycolumn = fun data -> data(2)}
            Datafile{
                // 線のみでプロット
                Style = Lines{Style=color.stroke.dashblack(0.5,[2.0;1.0])}
                // 凡例：「sample2」
                FileName = "data1.dat"
                Legend = Some("sample2")
                Xcolumn = fun data -> data(1)
                Ycolumn = fun data -> data(3)}
        ]