let projectname = "sample7"
let version = ("184.0.3.0","0.0.0")
let outputdir = @"C:\home\work"

#I "C:\\Aqualis\\lib\\184_0_3_0"
#r "Aqualis.dll"
#r "gengraphics.dll"

open gengraphics

//縦に2枚、横に1枚のグラフをプロットするため、graph1d.A4PTwoColSingle 2とする。
//縦に1枚、横に1枚のグラフをプロットする場合は、graph1d.A4PTwoColSingle 1とする。
graph1d.makeGraph outputdir "plot3.svg" (graph1d.A4PTwoColSingle 2) <| fun addGraph ->
    // (1,2)：グラフを図面内の左から一つ目、下から二つ目の位置に追加
    // サブキャプション：「(a) Sample1」
    addGraph (1,2) (Some("(a) Sample1"))
        {
            Xaxis = {Scale=Linear; Range=Auto; NumFormat=Some("F0")}
            Yaxis = {Scale=Linear; Range=Auto; NumFormat=None}
            Xlabel = "Iteration step"
            Ylabel = (TextStyle.Italic "f")+(TextStyle.Sub "1")
        }
        [
            Datafile{
                // 点のみでプロット
                Style = Points{
                    Shape=Circle; Size=1.0; StrokeStyle = (fun (x,y) -> color.stroke.none); FillStyle = (fun (x,y) -> color.fill.black)}
                FileName = "data1.dat"
                Legend = Some("sample1")
                Xcolumn = fun data -> data(1)
                Ycolumn = fun data -> data(2)}
        ]
    // (1,1)：グラフを図面内の左から一つ目、下から一つ目の位置に追加
    // サブキャプション：「(b) Sample2」
    addGraph (1,1) (Some("(b) Sample2"))
        {
            Xaxis = {Scale=Linear; Range=Auto; NumFormat=Some("F0")}
            Yaxis = {Scale=Linear; Range=Auto; NumFormat=None}
            Xlabel = "Iteration step"
            Ylabel = (TextStyle.Italic "f")+(TextStyle.Sub "1")
        }
        [
            Datafile{
                // 線のみでプロット
                Style = Lines{Style=color.stroke.dashblack(0.5,[2.0;1.0])}
                FileName = "data2.dat"
                Legend = Some("sample2")
                Xcolumn = fun data -> data(1)
                Ycolumn = fun data -> data(2)}
        ]