let projectname = "sample9"
let version = ("184.0.3.0","0.0.0")
let outputdir = @"C:\home\work"

#I "C:\\Aqualis\\lib\\184_0_3_0"
#r "Aqualis.dll"
#r "gengraphics.dll"

open gengraphics

graph1d.makeGraph outputdir "plot5.svg" (graph1d.A4PTwoColSingle 1) <| fun addGraph ->
    addGraph (1,1) None
        {
            Xaxis = {Scale=Linear; Range=MinMax(0.0,2.0); NumFormat=None}
            Yaxis = {Scale=Linear; Range=MinMax(0.0,5.0); NumFormat=None}
            // Greek.lambda：ギリシャ文字のλ
            Xlabel = Greek.lambda
            Ylabel = (TextStyle.Italic "f")+"("+(TextStyle.Italic "x")+")"
        }
        [
            Function{
                // 線のみでプロット
                Style = Lines{Style=color.stroke.dashblack(0.5,[2.0;1.0])}
                // サンプリング点数
                Sampling = 100;
                // 凡例：「f(x)」
                Legend = Some("f(x)")
                // プロットする関数：f(x)=10sin(x)
                Function = fun x -> x*x}
        ]